@extends('panel.layout.app', ['disable_tblr' => true])
@section('title', __('Workbook'))
@section('titlebar_pretitle', __('Edit your generations.'))
@section('titlebar_title', $workbook->title)
@section('titlebar_actions_after')
    <div class="lqd-dropdown ml-4 flex relative group/dropdown [--dropdown-offset:0px]"
         style="--dropdown-offset: 20px;" x-data="dropdown({ triggerType: 'hover' })" x-bind="parent"
         x-ref="parent">
        <x-button
                class="text-sm font-medium"
                variant="link"
                href="#"
        >
            {{ __('Share') }}
            <span
                    class="size-6 inline-grid place-items-center rounded-md bg-foreground/10 transition-all group-hover:scale-105 group-hover:bg-heading-foreground group-hover:text-heading-background"
            >
                 <x-tabler-share class="size-4" />
            </span>
        </x-button>
        <div class="lqd-dropdown-dropdown bg-black rounded-lg absolute top-full opacity-0 invisible z-50 translate-y-1 pointer-events-none transition-all mt-[--dropdown-offset] before:absolute before:bottom-full before:-top-[--dropdown-offset] before:inset-x-0 group-[&amp;.lqd-is-active]/dropdown:opacity-100 group-[&amp;.lqd-is-active]/dropdown:visible group-[&amp;.lqd-is-active]/dropdown:translate-y-0 group-[&amp;.lqd-is-active]/dropdown:pointer-events-auto end-0"
             x-bind="dropdown">
            <div class="lqd-dropdown-dropdown-content  rounded-lg bg-background shadow-lg shadow-black/5 dark:bg-surface min-w-44">
                <div class="rounded-lg py-5 text-2xs bg-white dark:bg-black w-full flex flex-col justify-center items-center ">
                    <a
                            target="_blank"
                            class="flex items-center justify-self-start w-full px-10 py-2 hover:bg-foreground/5"
                            href="http://twitter.com/share?text={{ $workbook->output }}"
                    >
                        <x-tabler-brand-x />
                        <span class="text-black dark:text-white ml-3">
                                X
                            </span>
                    </a>

                    <a
                            target="_blank"
                            class="flex justify-self-start w-full items-center px-10 py-2 hover:bg-foreground/5 "
                            href="https://wa.me/?text={{ htmlspecialchars($workbook->output) }}"
                    >
                        <x-tabler-brand-whatsapp />
                        <span class="text-black dark:text-white ml-3">
                                Whatsapp
                            </span>
                    </a>

                    {{--                        <a--}}
                    {{--                                class="flex justify-center w-full items-center px-10 py-2 hover:bg-foreground/5"--}}
                    {{--                                href="Facebook"--}}
                    {{--                        >--}}
                    {{--                            <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">--}}
                    {{--                                <g opacity="0.6" clip-path="url(#clip0_552_687)">--}}
                    {{--                                    <path d="M20 10C20 4.47656 15.5234 0 10 0C4.47656 0 0 4.47656 0 10C0 15.5234 4.47656 20 10 20C10.0586 20 10.1172 20 10.1758 19.9961V12.2148H8.02734V9.71094H10.1758V7.86719C10.1758 5.73047 11.4805 4.56641 13.3867 4.56641C14.3008 4.56641 15.0859 4.63281 15.3125 4.66406V6.89844H14C12.9648 6.89844 12.7617 7.39062 12.7617 8.11328V9.70703H15.2422L14.918 12.2109H12.7617V19.6133C16.9414 18.4141 20 14.5664 20 10Z" fill="white"/>--}}
                    {{--                                </g>--}}
                    {{--                                <defs>--}}
                    {{--                                    <clipPath id="clip0_552_687">--}}
                    {{--                                        <rect width="20" height="20" fill="white"/>--}}
                    {{--                                    </clipPath>--}}
                    {{--                                </defs>--}}
                    {{--                            </svg>--}}
                    {{--                            <span class="text-black dark:text-white ml-3">--}}
                    {{--                                    Facebook--}}
                    {{--                            </span>--}}
                    {{--                        </a>--}}

                    <a
                            target="_blank"
                            class="flex justify-self-start w-full items-center px-10 py-2 hover:bg-foreground/5"
                            href="https://t.me/share/url?url={{ request()->host() }}&text={{ htmlspecialchars($workbook->output) }}"
                    >
                        <x-tabler-brand-telegram />
                        <span class="text-black dark:text-white ml-3">
                                    Telegram
                            </span>
                    </a>
                </div>
            </div>
        </div>
    </div>
    @if (!empty($integrations) && $checkIntegration)
        <div
            class="lqd-dropdown group/dropdown relative ml-3 flex [--dropdown-offset:0px]"
            style="--dropdown-offset: 20px;"
            x-data="dropdown({ triggerType: 'hover' })"
            x-bind="parent"
            x-ref="parent"
        >
            <x-button
                data-bs-toggle="dropdown"
                variant="success"
            >Publish</x-button>
            <div
                class="lqd-dropdown-dropdown group-[&amp;.lqd-is-active]/dropdown:opacity-100 group-[&amp;.lqd-is-active]/dropdown:visible group-[&amp;.lqd-is-active]/dropdown:translate-y-0 group-[&amp;.lqd-is-active]/dropdown:pointer-events-auto pointer-events-none invisible absolute end-0 top-full z-50 mt-[--dropdown-offset] translate-y-1 opacity-0 transition-all before:absolute before:inset-x-0 before:-top-[--dropdown-offset] before:bottom-full"
                x-bind="dropdown"
            >
                <div class="lqd-dropdown-dropdown-content min-w-52 rounded-lg border bg-background shadow-lg shadow-black/5 dark:bg-surface">
                    <div class="px-3 pt-3 text-foreground/70">
                        <p class="text-3xs">@lang('Integrations')</p>
                    </div>
                    <hr>
                    <div class="pb-2 text-2xs">
                        @foreach ($integrations as $integration)
                            <a
                                class="flex w-full items-center px-3 py-2 hover:bg-foreground/5"
                                href="{{ route('dashboard.user.integration.share.workbook', [$integration->id, $workbook->id]) }}"
                            >
                                {{ $integration?->integration?->app }}
                            </a>
                        @endforeach

                    </div>
                </div>
            </div>
        </div>
    @endif
@endsection

@section('content')
    <div class="py-10">
        <div class="mx-auto w-full lg:w-3/5">
            @include('panel.user.openai.documents_workbook_textarea')
        </div>
    </div>
@endsection

@push('script')
    <script src="{{ custom_theme_url('/assets/libs/beautify-html.min.js') }}"></script>
    <script src="{{ custom_theme_url('/assets/libs/ace/src-min-noconflict/ace.js') }}"></script>
    <script src="{{ custom_theme_url('/assets/libs/ace/src-min-noconflict/ext-language_tools.js') }}"></script>
    <script src="{{ custom_theme_url('/assets/libs/markdown-it.min.js') }}"></script>
    <script src="{{ custom_theme_url('/assets/libs/turndown.js') }}"></script>
    <script src="{{ custom_theme_url('/assets/libs/tinymce/tinymce.min.js') }}"></script>
    <script src="{{ custom_theme_url('/assets/js/panel/tinymce-theme-handler.js') }}"></script>
    <script src="{{ custom_theme_url('/assets/js/panel/workbook.js') }}"></script>

    @if ($openai->type == 'code')
        <link
            rel="stylesheet"
            href="{{ custom_theme_url('/assets/libs/prism/prism.css') }}"
        />
        <script src="{{ custom_theme_url('/assets/libs/prism/prism.js') }}"></script>
        <script>
            window.Prism = window.Prism || {};
            window.Prism.manual = true;
            document.addEventListener('DOMContentLoaded', (event) => {
                "use strict";

                const codeLang = document.querySelector('#code_lang');
                const codePre = document.querySelector('#code-pre');
                const codeOutput = codePre?.querySelector('#code-output');

                if (codeOutput) {
                    let codeOutputText = codeOutput.textContent;
                    const codeBlocks = codeOutputText.match(/```[A-Za-z_]*\n[\s\S]+?```/g);
                    if (codeBlocks) {
                        codeBlocks.forEach((block) => {
                            const language = block.match(/```([A-Za-z_]*)/)[1];
                    const code = block.replace(/```[A-Za-z_]*\n/, '').replace(/```/, '').replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(
                        /"/g, '&quot;').replace(/'/g, '&#039;');
                    const wrappedCode = `<pre><code class="language-${language}">${code}</code></pre>`;
                    codeOutputText = codeOutputText.replace(block, wrappedCode);
                });
            }

            codePre.innerHTML = codeOutputText;

            codePre.querySelectorAll('pre').forEach(pre => {
                pre.classList.add(`language-${codeLang && codeLang.value !== '' ? codeLang.value : 'javascript'}`);
                    })

                    // saving for copy
                    window.codeRaw = codeOutput.innerText;

                    codePre.querySelectorAll('code').forEach(block => {
                        Prism.highlightElement(block);
                    });
                };

            });
        </script>
    @endif
@endpush
